R4i-sdhc first version - errcode, nothing works

Discussion in 'NDS - ROM Hacking and Translations' started by Alex*Sora*89, Feb 10, 2011.

  1. Alex*Sora*89
    OP

    Newcomer Alex*Sora*89 Member

    Joined:
    Sep 16, 2010
    Messages:
    34
    Country:
    Italy
    Hi there! It's been a while since my last post here.

    I'll be as quick as possible: lately, every game has some sort of protection that causes an error (errcode = -4) that, in turn, prevents the game from even loading.
    As you may remember, I only have an R4i-sdhc, namely its first version - not v1.4 and not the latest one either. The only way I can boot ysmenu on this flashcart is through the moonshell in its firmware, but even then, games don't load anyway (and this extends to every NDS game - even the least recent ones - in this case).
    I also have TTmenu, but that doesn't work even with the moonshell.
    The problem with my version of the R4i is that not even its manifacturer gives a darn about it, as every firmware update, lately, seems to be exclusive to the other version of the flashcart.
    However, I've found out (through an actual R4 - not a clone - belonging to a friend of mine) that not even the ysmenu can do anything at all for that "errcode = -4".

    What I'm trying to say is that, after giving you all the information I could, I need your help once again. I'm sorry to bother the community once more with my problems, but what I want to ask is, if there's any solution in order to bypass the errcode (whatever its number may turn out to be, as there are also "-5" errors out there) with the flashcart I own, can you please lend a helping hand?

    And if there's nothing that could possibly be done with R4i, then I'm open to suggestions for other kinds of flashcarts, as long as they support MicroSDs of any size (sdhc) and as long as you also have an optimal configuration (the kind that could allow any game to be played with) to suggest as well.
     
  2. twiztidsinz

    Member twiztidsinz Taiju Yamada Fan

    Joined:
    Dec 23, 2008
    Messages:
    4,981
    Country:
    United States
    First, this is the wrong place to ask...

    Second, you should be able to set YSMenu up as default I think, and if not then run it through your default Menu (or Moonshell as you already can).
    After that, the rest is just getting updated files from Retro: http://gbatemp.net/t267243-retrogamefan-updates-releases


    If you're open to buying a new card, I would suggest an AceKard2i.
    It supports SDHC (Up to 16GB? if I recall card manufacturers claiming 64/128GB or any TB MicroSDHCs are bullshitting) and has a good Menu that gets updated regularly behind it (AKAIO). You just need to be cautious of clones since they're typically junk.
     
  3. Alex*Sora*89
    OP

    Newcomer Alex*Sora*89 Member

    Joined:
    Sep 16, 2010
    Messages:
    34
    Country:
    Italy
    I wasn't pretty sure if this was the right section where I could ask, as a matter of fact, as the premises behind this and the "flashcarts" section of the site are overlapping. My apologies.

    Anyway, um, I'll try that link you've posted. Thanks for that! [​IMG]
    Oh, and I'm also open to different suggestions - you're all encouraged to state your opinion too!

    ... if you have enough time to notice this topic, of course.

    EDIT: wait, how can I use YSmenu as a default menu? And how can I use Retro's files? I need a guide... [​IMG]
     
  4. twiztidsinz

    Member twiztidsinz Taiju Yamada Fan

    Joined:
    Dec 23, 2008
    Messages:
    4,981
    Country:
    United States
    http://gbatemp.net/t155479-is-it-possible-...t&p=1991972

    Probably also worth taking a look at TTYSAuto to build YSMenu for TT
    http://gbatemp.net/t104810-TTYSauto
    http://gbatemp.net/t224381-ttysauto-updated
     
  5. Alex*Sora*89
    OP

    Newcomer Alex*Sora*89 Member

    Joined:
    Sep 16, 2010
    Messages:
    34
    Country:
    Italy
    Um... it's rather complex. It will take a long while for a noob like me to make this work, if it will work.

    But I swear that, if it works, I'll post how I made it work alongside the configuration of my R4i!
    Thanks for your help, twiztidsinz!
     
  6. Alex*Sora*89
    OP

    Newcomer Alex*Sora*89 Member

    Joined:
    Sep 16, 2010
    Messages:
    34
    Country:
    Italy
    Sorry for the double post (although the time between posts is long enough, I hope).

    After the last thing that happened to me (see in my http://gbatemp.net/t294914-ultimate-spider...rking-on-my-r4i topic), any faith I ever had in my R4i is now gone, so I might consider buying a new flashcart as well.

    However, for the sake of choice, I need the name of any flashcart that supports both SDHC cards and the latest (1.30) version of Wood R4.

    Suggestions of any sort are more than welcome.

    [EDIT: what is that "10% warn" thing anyway? Is it because of that time I forgot about the "no rom sites" rule?]
     

Share This Page